[user]
    name = Franziska Kunsmann
    email = hi@kunsmann.eu
    signingkey = 5FE37FF3C981A9146C3805324205EF53ECE0D2BC

[commit]
    gpgsign = true

[alias]
    hist = log --graph --abbrev-commit --decorate --format=format:'%C(red)%h%C(reset) - %C(green)(%ar)%C(reset) %C(reset)%s %C(dim white)- %an%C(reset)%C(bold yellow)%d%C(reset)' -32
    prinfo = log --graph --abbrev-commit --decorate --format=format:'%C(red)%h%C(reset) - %C(reset)%s %C(dim white)- %an%C(reset)' main...
    logs = log --show-signature
    pfusch = push --force-with-lease

[pager]
    branch = false
    config = false
    stash = false

[pull]
    ff = only

[init]
    defaultBranch = main
